***********************************************************************
*                                                                     *
* Program......: CMX.CH                                               *
* System.......: PC POINT-OF-SALE SYSTEM                              *
* Written By...: Ashok Kumar, Infodata Systems Ltd., DUNEDIN, NZ      *
* Date Written.: Nov 1996, May 1998                                   *
* Description..: Database movement to solve index key locking         *
*                CMX translation functions                            *
* Revisions....: Lots                                                 *
*                                                                     *
* Usage........: Include CMX.CH in all your programs or systemwide .CH*
*                                                                     *
***********************************************************************

* This crap is to go around the index key locking during a Filter Movement
* Now also does Comix scopes

#xcommand GOTO TOP               => AK_gotop()
#xcommand GO TOP                 => AK_gotop()
#xcommand GOTO BOTTOM            => AK_gobot()
#xcommand GO BOTTOM              => AK_gobot()

#xcommand SKIP                   => AK_Skip(1)
#xcommand SKIP <n>               => AK_Skip( <n> )
#xcommand SKIP ALIAS <a>         => <a> -> ( AK_Skip(1) )
#xcommand SKIP <n> ALIAS <a>     => <a> -> ( AK_Skip(<n>) )

#xtranslate DBGOTOP()            => AK_gotop()
#xtranslate DBGOBOTTOM()         => AK_gobot()
#xtranslate DBSKIP( [ <n> ] )    => AK_Skip( [ <n> ] )
#xtranslate DBSKIP( )            => AK_Skip( 1 )

#command  USE                    =>  CmxClrAll() ; dbCloseArea()
#command  CLOSE <alias>          =>  CmxClrAll(<"alias">) ; <alias>->( dbCloseArea() )
#command  CLOSE                  =>  CmxClrAll() ; dbCloseArea()


* Not Yet...
*** #xcommand SEEK <xpr>                                   ;
***          [<soft: SOFTSEEK>]                           ;
***       => AkSeek( <xpr>, if( <.soft.>, .T., NIL ) )

*** #xtranslate DBSEEK( <xpr> [, <lsoft> ] )       ;
***       => AkSeek( <xpr> [, <.lsoft.>] )

/*
 ͸
                                                                       
  CMX52.CH [Comix 3.0 Header for CA-Clipper 5.2x]                      
                                                                       
  (C)Copyright LodeStone Consortium 1992-1994.  All rights reserved.   
                                                                       
 ;
   
*/

#command SET SCOPE TO                                                   ;
    =>  cmxClrScope(0)                                                  ;
        ; cmxClrScope(1)
        
#command SET SCOPE TO <xValue>                                          ;
    =>  cmxSetScope(0, <xValue>)                                        ;
        ; cmxSetScope(1, <xValue>)

#command SET SCOPE TO <xVal1>, <xVal2>                                  ;
    =>  cmxSetScope(0, <xVal1>)                                         ;
        ; cmxSetScope(1, <xVal2>)

#xcommand SET SCOPETOP TO                                               ;
    =>  cmxClrScope(0)

#xcommand SET SCOPETOP TO <xValue>                                      ;
    =>  cmxSetScope(0, <xValue>)

#xcommand SET SCOPEBOTTOM TO                                            ;
    =>  cmxClrScope(1)

#xcommand SET SCOPEBOTTOM TO <xValue>                                   ;
    =>  cmxSetScope(1, <xValue>)

#define cmxGetScope(nScope)     cmxSetScope(nScope)


***********************************************************************

*** COMIX to Clipper 5.3 translation
*** #translate cmxkeyadd()               => ordkeyadd()
*** #translate cmxkeydel()               => ordkeydel()
*** #translate cmxsetscope(0, <x>)       => ordscope(TOPSCOPE,    <x>)
*** #translate cmxsetscope(1, <x>)       => ordscope(BOTTOMSCOPE, <x>)
*** #translate cmxsetscope()             => ordscope(TOPSCOPE)
*** #translate cmxsetscope(0)            => ordscope(TOPSCOPE)
*** #translate cmxsetscope(1)            => ordscope(BOTTOMSCOPE)
*** #translate cmxclrscope(0)            => ordscope(TOPSCOPE,    NIL)
*** #translate cmxclrscope(1)            => ordscope(BOTTOMSCOPE, NIL)

***********************************************************************

